Bug 103738 - CAN-2003-0720/1 Buffer overflows in Pine
Summary: CAN-2003-0720/1 Buffer overflows in Pine
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: pine (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-04 14:15 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-11 06:48:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:274 high SHIPPED_LIVE Important: pine security update 2003-09-11 04:00:00 UTC

Description Mark J. Cox 2003-09-04 14:15:34 UTC
Public Sep10, Noon EDT

CAN-2003-0720: Pine buffer overflow in its handling of the
'message/external-body' type.  

CAN-2003-0721: Pine integer overflow in its MIME header parsing

Both these issues would allow a carefully crafted email to run arbitrary
commands as the user who reads the message.

Comment 2 Mark J. Cox 2003-09-09 08:57:18 UTC
RHSA-2003:274 in progress

Comment 3 Mark J. Cox 2003-09-10 19:19:54 UTC
Now public

Comment 4 Mark J. Cox 2003-09-11 06:48:58 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-274.html



Note You need to log in before you can comment on or make changes to this bug.